More Technical Information Than You Can Handle. 
 

.
 

Log4j Vulnerability

 
We are aware of the Apache Log4j critical vulnerability (CVE-2021-44228) and have taken swift action with an intensive security audit

- View Press Release
- Visit Logitech, Inc.

Logitech-Press
Posted: December 14, 2021 |  By: Wissen Schwamm
Recent Logitech-Press related news.
RightSight 2 Grid View and CollabOS 1.8: Welcome to More Inclusive Hybrid Meetings with Grid View
Logitech Celebrates Pride in STEM with #WomenWhoMaster Gabby Llanillo
Set up for success: how to use the BRIO 500 and Zone Vibe 100 to nail your next virtual interview
Welcome to the new logic of work.
Logitech Brio 505 Momentum Campaign 2022 Giveaway – OFFICIAL RULES
+ View more Logitech-Press related news +